<?php declare(strict_types=1);

namespace Newland\ToubizWidgetRendering\Renderer;

use Symfony\Component\Console\Output\OutputInterface;

interface ToubizWidgetRenderer
{
    public function setConfiguration(array $configuration): void;

    public function render(string $tagName, array $arguments): string;

    public function precompile(OutputInterface $output): void;
}
